Subject: Re: bug#18132: Time for a smarter dired-guess-shell-alist-default? (dired-x.el)

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Jul 2014 06:56:12 +0300

> Date: Mon, 28 Jul 2014 19:26:07 +0100
> From: Reuben Thomas <[email-masked]>
> 
> These days, there are mature programs for launching an arbitrary file with
> an appropriate viewer: run-mailcap (which is mature to the point of
> obsolescence) and xdg-open on GNU systems; open on Mac OS X; start on MS
> Windows).

It would be a bad idea to use 'start' on Windows: it has too many
quirks regarding quoting of its command line.  Instead, just invoke
the existing primitive w32-shell-execute with the 'open' verb.  As a
nice side effect, this will support Unicode file names, something that
is currently impossible when you invoke an external command.